commit: ae8549143121a3bdc042db48a32e81a50aa963b8
Author: orbea <orbea <AT> riseup <DOT> net>
AuthorDate: Thu Apr 13 02:15:09 2023 +0000
Commit: orbea <orbea <AT> riseup <DOT> net>
CommitDate: Thu Apr 13 02:15:09 2023 +0000
URL: https://gitweb.gentoo.org/repo/proj/libressl.git/commit/?id=ae854914
net-analyzer/nmap: add 7.92-r3, 7.93-r3
Signed-off-by: orbea <orbea <AT> riseup.net>
net-analyzer/nmap/metadata.xml | 7 ++-----
.../{nmap-7.92-r2.ebuild => nmap-7.92-r3.ebuild} | 21 ++++++++++-----------
.../{nmap-7.93-r2.ebuild => nmap-7.93-r3.ebuild} | 14 ++++++++------
3 files changed, 20 insertions(+), 22 deletions(-)
diff --git a/net-analyzer/nmap/metadata.xml b/net-analyzer/nmap/metadata.xml
index 25a7096..c93c9fd 100644
--- a/net-analyzer/nmap/metadata.xml
+++ b/net-analyzer/nmap/metadata.xml
@@ -9,17 +9,14 @@
<email>[email protected]</email>
<name>Andreas K. Hüttel</name>
</maintainer>
- <maintainer type="person">
- <email>[email protected]</email>
- <name>Mikle Kolyada</name>
- </maintainer>
<use>
<flag name="libssh2">Enable SSH support through
<pkg>net-libs/libssh2</pkg></flag>
<flag name="ncat">Install the ncat utility</flag>
+ <flag name="ndiff">Install the ndiff utility</flag>
<flag name="nping">Install the nping utility</flag>
<flag name="nse">Include support for the Nmap Scripting Engine
(NSE)</flag>
<flag name="symlink">Install symlink to nc</flag>
- <flag name="system-lua">Use <pkg>dev-lang/lua</pkg> instead of
the bundled liblua</flag>
+ <flag name="zenmap">Install the GTK+ based nmap GUI,
zenmap</flag>
</use>
<upstream>
<remote-id type="github">nmap/nmap</remote-id>
diff --git a/net-analyzer/nmap/nmap-7.92-r2.ebuild
b/net-analyzer/nmap/nmap-7.92-r3.ebuild
similarity index 87%
rename from net-analyzer/nmap/nmap-7.92-r2.ebuild
rename to net-analyzer/nmap/nmap-7.92-r3.ebuild
index 8e99c31..dc35e9c 100644
--- a/net-analyzer/nmap/nmap-7.92-r2.ebuild
+++ b/net-analyzer/nmap/nmap-7.92-r3.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2022 Gentoo Authors
+# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
@@ -13,9 +13,6 @@ if [[ ${PV} == *9999* ]] ; then
inherit git-r3
EGIT_REPO_URI="https://github.com/nmap/nmap"
-
- # Just in case for now as future seems undecided.
- LICENSE="NPSL"
else
VERIFY_SIG_OPENPGP_KEY_PATH="${BROOT}"/usr/share/openpgp-keys/nmap.asc
inherit verify-sig
@@ -25,13 +22,13 @@ else
KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~mips ppc ppc64 ~riscv
~s390 sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos"
- LICENSE="|| ( NPSL GPL-2 )"
+ LICENSE="|| ( NPSL-0.92 NPSL-0.95 GPL-2 )"
fi
SLOT="0"
-IUSE="ipv6 libssh2 ncat nping +nse ssl symlink +system-lua"
+IUSE="ipv6 libssh2 ncat nping +nse ssl symlink"
REQUIRED_USE="
- system-lua? ( nse ${LUA_REQUIRED_USE} )
+ nse? ( ${LUA_REQUIRED_USE} )
symlink? ( ncat )
"
@@ -43,13 +40,15 @@ RDEPEND="
net-libs/libssh2[zlib]
sys-libs/zlib
)
- nse? ( sys-libs/zlib )
+ nse? (
+ ${LUA_DEPS}
+ sys-libs/zlib
+ )
ssl? ( dev-libs/openssl:0= )
symlink? (
!net-analyzer/netcat
!net-analyzer/openbsd-netcat
)
- system-lua? ( ${LUA_DEPS} )
"
DEPEND="${RDEPEND}"
@@ -71,7 +70,7 @@ PATCHES=(
)
pkg_setup() {
- use system-lua && lua-single_pkg_setup
+ use nse && lua-single_pkg_setup
}
src_prepare() {
@@ -103,9 +102,9 @@ src_configure() {
$(use_with libssh2) \
$(use_with ncat) \
$(use_with nping) \
+ $(use_with nse liblua) \
$(use_with ssl openssl) \
$(usex libssh2 --with-zlib) \
- $(usex nse --with-liblua=$(usex system-lua yes included '' '')
--without-liblua) \
$(usex nse --with-zlib) \
--cache-file="${S}"/config.cache \
--with-libdnet=included \
diff --git a/net-analyzer/nmap/nmap-7.93-r2.ebuild
b/net-analyzer/nmap/nmap-7.93-r3.ebuild
similarity index 92%
rename from net-analyzer/nmap/nmap-7.93-r2.ebuild
rename to net-analyzer/nmap/nmap-7.93-r3.ebuild
index bd79e40..dd3787e 100644
--- a/net-analyzer/nmap/nmap-7.93-r2.ebuild
+++ b/net-analyzer/nmap/nmap-7.93-r3.ebuild
@@ -28,9 +28,9 @@ fi
# https://github.com/nmap/nmap/issues/2199
LICENSE="|| ( NPSL-0.94 NPSL-0.95 )"
SLOT="0"
-IUSE="ipv6 libssh2 ncat nping +nse ssl symlink +system-lua"
+IUSE="ipv6 libssh2 ncat nping +nse ssl symlink"
REQUIRED_USE="
- system-lua? ( nse ${LUA_REQUIRED_USE} )
+ nse? ( ${LUA_REQUIRED_USE} )
symlink? ( ncat )
"
@@ -42,7 +42,10 @@ RDEPEND="
net-libs/libssh2[zlib]
sys-libs/zlib
)
- nse? ( sys-libs/zlib )
+ nse? (
+ ${LUA_DEPS}
+ sys-libs/zlib
+ )
ssl? ( dev-libs/openssl:0= )
symlink? (
ncat? (
@@ -50,7 +53,6 @@ RDEPEND="
!net-analyzer/openbsd-netcat
)
)
- system-lua? ( ${LUA_DEPS} )
"
DEPEND="${RDEPEND}"
BDEPEND="
@@ -80,7 +82,7 @@ PATCHES=(
pkg_setup() {
python-any-r1_pkg_setup
- use system-lua && lua-single_pkg_setup
+ use nse && lua-single_pkg_setup
}
src_prepare() {
@@ -115,9 +117,9 @@ src_configure() {
$(use_with libssh2) \
$(use_with ncat) \
$(use_with nping) \
+ $(use_with nse liblua) \
$(use_with ssl openssl) \
$(usex libssh2 --with-zlib) \
- $(usex nse --with-liblua=$(usex system-lua yes included '' '')
--without-liblua) \
$(usex nse --with-zlib) \
--cache-file="${S}"/config.cache \
--with-libdnet=included \